Page MenuHomePhabricator

personal toolbar is shown in reverse in RTL wikis in the Special:ContentTranslation columns interface
Closed, ResolvedPublic

Description

Personal toolbar is shown in reverse in RTL wikis in the Special:ContentTranslation columns interface.

This is fixed for the dashboard in ext.cx.dashboard.less (T105688), and I can do the same for the columns interface, but it would be better to resolve it properly in the code of the Vector skin itself, so that it would even with the unusual way in which CX loads skins.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterDefine explicit position for module ext.cx.header.skin
mediawiki/extensions/ContentTranslation : masterDefine explicit position for module ext.cx.header.skin
mediawiki/extensions/ContentTranslation : masterDisplay the personal menu in the correct direction

Event Timeline

Amire80 created this task.Aug 24 2015, 7:42 AM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a project: I18n. · View Herald TranscriptAug 24 2015, 7:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 updated the task description. (Show Details)Aug 24 2015, 7:52 AM
Amire80 set Security to None.

Change 233358 had a related patch set uploaded (by Amire80):
Display the personal menu in the correct direction

https://gerrit.wikimedia.org/r/233358

Amire80 claimed this task.Aug 24 2015, 7:53 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Aug 24 2015, 6:29 PM
Amire80 moved this task from Backlog to Content Translation on the RTL board.Aug 30 2015, 7:15 AM

so that it would even with the unusual way in which CX loads skins.

You accidentally what?

Change 233358 merged by jenkins-bot:
Display the personal menu in the correct direction

https://gerrit.wikimedia.org/r/233358

Nikerabbit moved this task from Backlog to QA on the LE-CX6-Sprint break board.

I see multiple issues with the merged patch

I get the warning

Warning: OutputPage::getModuleStyles: style module should define its position explicitly: ext.cx.header.skin ResourceLoaderFileModule [Called from OutputPage::getModuleStyles in /home/santhosh/dev/wiki/core/includes/OutputPage.php at line 621] in /home/santhosh/dev/wiki/core/includes/debug/MWDebug.php on line 300

I see multiple issues with the merged patch

You described one issue, what are the others?

Change 240355 had a related patch set uploaded (by Amire80):
Define explicit position for module ext.cx.header.skin

https://gerrit.wikimedia.org/r/240355

You described one issue, what are the others?

In LTR page language, I see the personal toolbar items as shown in the screenshot. The listing of item in toolbar looks broken

Probably side effect of the PHP notices, I don't see it.

Change 240350 had a related patch set uploaded (by Amire80):
Define explicit position for module ext.cx.header.skin

https://gerrit.wikimedia.org/r/240350

Change 240355 abandoned by Amire80:
Define explicit position for module ext.cx.header.skin

Reason:
Dupe of Ia65bd9a9c7d7d30e81f5b97bb3532cccc1ca58b3

https://gerrit.wikimedia.org/r/240355

Change 240350 merged by jenkins-bot:
Define explicit position for module ext.cx.header.skin

https://gerrit.wikimedia.org/r/240350

This is what I see

Ok, it was my outdated skins/Vector repo. Sorry.

Anything we can help with on the Vector side? Did the patch fix the problem (I don't really understand what the problem is... screenshots/links would help)?

(Given fix was in ContentTranslation I don't see what is needed to be down in Vector so have removed the project)

Arrbee moved this task from QA to Done on the LE-CX6-Sprint break board.Sep 30 2015, 12:00 PM
Amire80 closed this task as Resolved.Oct 1 2015, 8:45 PM